Show account schedule plan record
curl --request GET \
--url https://api.consumer.younegotiate.com/accounts/{consumer}/payments/{payment} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.consumer.younegotiate.com/accounts/{consumer}/payments/{payment}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.consumer.younegotiate.com/accounts/{consumer}/payments/{payment}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"record_type": "scheduled_payment",
"record_key": "scheduled:12",
"amount": "125.00",
"status": {
"label": "Scheduled"
},
"transaction_id": 123,
"transaction_type_label": "Payment Plan",
"schedule_date": "2023-12-25",
"previous_schedule_date": "2023-12-25",
"is_first_schedule_row": true,
"is_next_scheduled_payment": true,
"actions": {
"can_pay_now": true,
"can_generate_helping_hand_link": true,
"can_generate_helping_hand_qr_code": true,
"can_partial_pay": true,
"can_change_date": true,
"can_skip": true,
"can_reschedule_today": true,
"can_request_settlement_date": true
},
"action_items": [
{
"key": "pay_now",
"label": "Pay Now",
"available": true
}
],
"status_code": "<string>",
"attempt_count": 123,
"last_attempted_at": "2023-11-07T05:31:56Z",
"payment_profile": {
"id": 123,
"method_label": "Card",
"label": "Card ending in 4242",
"last_four_digit": "<string>",
"account_number_last_four": "<string>",
"expiration_month": "<string>",
"expiration_year": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"is_saved_for_future_use": true
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"code": "profile_incomplete",
"message": "Please complete your communication profile before viewing accounts.",
"required_steps": [
"profile_communication"
]
}Show account schedule plan record
Show one normalized schedule-plan record for an owned account. Use a record_key returned by GET /accounts/{consumer}/payments, such as scheduled:12 or transaction:44.
GET
/
accounts
/
{consumer}
/
payments
/
{payment}
Show account schedule plan record
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Consumer account ID.
Payment record key returned by the payments list payload.
Pattern:
^(scheduled|transaction):\d+$Examples:
"scheduled:12"
"transaction:44"
Response
Account schedule-plan record returned.
- Option 1
- Option 2
Show child attributes
Show child attributes
Last modified on July 19, 2026
Was this page helpful?
⌘I

